WatchGuard SSL VPN V 12.2 OSX Support

Hello,

When installing the WatchGuard SSL VPN 12.2 under OSX software 10.14.6, I received an alert detailing that the support of Watchguard was ending soon and to advise with the vendor \ software administrator for support.

Will there be any additional updates with Mojave 10.14.6 or future updates acknowledging new software requirements by Apple OSX?

Thank you,

Comments

  • James_CarsonJames_Carson WatchGuard Representative

    Hi @sinuxjoey

    Thanks for posting.

    Would it be possible for you to attach a screenshot of that error?

    We don't have any plans on discontinuing the SSLVPN client, however, many of our MacOS customers will often decide to use one of the built-in clients that MacOS supports.

    You can read more about those here:

    (Use the macOS or iOS Native IPSec VPN Client)
    https://www.watchguard.com/help/docs/help-center/en-US/Content/en-US/Fireware/mvpn/ipsec/mvpn_ipsec_ios_vpn_c.html

    (Configure iOS and macOS Devices for Mobile VPN with IKEv2)
    https://www.watchguard.com/help/docs/help-center/en-US/Content/en-US/Fireware/mvpn/ikev2/mvpn_ikev2_mac_client.html

    Can you please get a screenshot of that error and let us know what kind of mac you're running? (You should be able to get that info in Apple -> About this Mac.)

    Thank you,

    -James Carson
    WatchGuard Customer Support

  • Can you confirm if the Watchguard VPN software is 32-Bit or 64-bit?

    Thanks,

  • James_CarsonJames_Carson WatchGuard Representative

    Hi @sinuxjoey
    The SSLVPN app for MacOS has been 64-bit since v11.10.4.

    If you're still seeing this error on a up to date version of the client, I'd suggest opening a ticket with WatchGuard support so that they can address the issue. You can use the support center button on the top right of the screen to do this.

    Thank you,

    -James Carson
    WatchGuard Customer Support

  • edited August 14

    Here is a copy of what was said when last installed:

    https://imgur.com/a/K8hPf6s

  • edited October 22

    I get the MacOS error that this MacOS version (Catalina) is not compatible.

  • James_CarsonJames_Carson WatchGuard Representative

    Hi @sinuxjoey and @wander
    The development team has opened a feature request to handle the reported incompatibility for the SSLVPN client. That feature request is FBX-17621.

    The VPN team is currently working on this, but we don't have an expected release date quite yet.

    Thank you,

    -James Carson
    WatchGuard Customer Support

  • Hi - any news on this? We have customers affected (do WG devs test against pre-release/beta versions of Operating Systems beforehand?). The latest release was 12.2 back in 2018 from the look of it? Having to use OpenVPN Client in the meantime.

    Cheers, James

    All XTM, T-Series, M-Series, FireboxV, Firebox Cloud, Authpoint, Secure WiFi, Dimension, WSC, WatchGuard Cloud etc. Manage a few hundred devices.

  • Consider opening a support incident on this

  • edited November 2
    No need, just continuing the conversation in this public forum, as any response may help others. I’m beginning to think you just like to get your message count up Bruce :smiley:

    All XTM, T-Series, M-Series, FireboxV, Firebox Cloud, Authpoint, Secure WiFi, Dimension, WSC, WatchGuard Cloud etc. Manage a few hundred devices.

  • @James said:
    No need, just continuing the conversation in this public forum, as any response may help others. I’m beginning to think you just like to get your message count up Bruce :smiley:

    I hope that comment was in jest. Bruce has been on the WatchGuard forums since at least 2009 when I started with WatchGuard. He has been an INVALUABLE resource to MANY people, all for FREE.

    Although "The development team has opened a feature request to handle the reported incompatibility for the SSLVPN client. That feature request is FBX-17621" as James Carson noted, Bruce's recommendation of opening a support incident is a good one, because as soon as the issue is resolved or they have a workaround, anyone with an open case about it will get an email about the fix/workaround.

    Gregg

    Gregg Hill

  • Yes, it was in jest - tongue firmly in cheek!. Apologies to Bruce if taken any other way. Maybe my humour is as dry as his :smile:

    All XTM, T-Series, M-Series, FireboxV, Firebox Cloud, Authpoint, Secure WiFi, Dimension, WSC, WatchGuard Cloud etc. Manage a few hundred devices.

  • @James said:
    Yes, it was in jest - tongue firmly in cheek!. Apologies to Bruce if taken any other way. Maybe my humour is as dry as his :smile:

    I saw the smiley face at the end of the comment, which is why I hoped it was in jest. Thank you for confirming it was so.

    Gregg

    Gregg Hill

  • SSL Client v12.5.2 for macOS is released.
    has support for macOS 10.15 Catalina

  • From the V12.5.2 Release Notes:
    . This release adds support for mac OS 10.15 Catalina. [FBX-17621]

Sign In to comment.